# Gemini Chat

Welcome to Gemini Chat, a powerful AI-driven chat application that allows users to interact with Google's Gemini AI. This project showcases various features, including screenshot capture and Python script execution on your local machine.

## Features

### 1. Chat with Gemini AI
- Users can type messages and receive intelligent responses generated by the Gemini AI model.

### 2. Screenshot Capture
- Type `screenshot` in the chat to capture the current screen. The application will minimize the terminal window, take a screenshot, save it in a folder called `screenshots`, and then restore the terminal window.
- Screenshots are saved with incremental naming, such as `screenshot1.png`, `screenshot2.png`, etc.

### 3. Run Python Scripts
- When Gemini AI provides code in response to user queries, it can save the code in a `temporarycodes` folder as `tempcode1.py`, `tempcode2.py`, and so forth.
- Users can choose to execute the saved Python script directly from the application, and the output will be displayed in the terminal.

### 4. API Key Management
- On the first run, the application prompts the user to enter their Google Gemini API key through a Tkinter GUI window. The key is saved in an `apikey.txt` file for future use.
- If `apikey.txt` already exists, the application will use the stored key without prompting the user again.

## Installation

To install this project, follow these steps:

pip install geminicontrolpc




### Usage
Run the Application: Launch the application by typing the following command in your terminal:


geminicontrolpc

### Interact with the AI:

Start chatting by typing your questions or commands in the terminal.
To take a screenshot, simply type:

screenshot

### Run Python Code:

If Gemini AI provides code, you can execute it by responding to the prompt after the code is saved.
Contributions
Contributions are welcome! Please submit a pull request or create an issue for any feature requests or bug reports.

License
This project has no liscence! I really dont even know what a lisence is haha.

Acknowledgments
Thanks to Google for providing the Gemini AI model.
Special thanks to the developers of the libraries used in this project: Pillow, PyGetWindow, and Tkinter.
Contact
For more information, feel free to reach out to me at allanleonardiii@gmail.com or trey6383@outlook.com. If you email trey6383@outlook.com theres a higher chance ill see it.